package com.qmth.themis.business.bean.mobile;

import com.qmth.themis.business.enums.MobileModeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("登录返回信息")
public class MobileAuthorizationBean {

	@ApiModelProperty("功能模式")
	private MobileModeEnum mode;
	
	@ApiModelProperty("时间戳")
	private Long time;
	
	@ApiModelProperty("sessionId")
	private String sessionId;
	
	@ApiModelProperty("考试记录id")
	private Long recordId;
	
	private String accessToken;

	public MobileModeEnum getMode() {
		return mode;
	}

	public void setMode(MobileModeEnum mode) {
		this.mode = mode;
	}

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	
}
